boost/system/result
system.html#ref_boostsystemresult_hpp
boost::system
boost::system
boost::system::result
boost::system::error_code
boost::system::result
system.html#ref_resultt_e
boost::system::result::value_type
- value
  system.html#ref_checked_value_access_2
- error
  system.html#ref_error_access_2
- has_value
  system.html#ref_queries_2
- has_error
  system.html#ref_queries_2
- operator bool
  system.html#ref_queries_2
- operator*
  system.html#ref_unchecked_value_access
boost::system::result::value_type
system.html#ref_resultt_e
boost::system::error_code
system.html#ref_error_code